module top(
    input  CLK,
    output LED_RED_N,
    output LED_GRN_N,
    output LED_BLU_N);

  wire red_pwn, grn_pwm, blu_pwm;

  reg [7:0] pwm;
  always @(posedge CLK)
  begin
    pwm <= pwm + 1;
  end

  assign red_pwn = pwm < 48 ? 1'b1 : 1'b0;
  assign grn_pwm = pwm < 48 ? 1'b1 : 1'b0;
  assign blu_pwm = 1'b1;

  SB_RGBA_DRV RGBA_DRIVER (
    .CURREN(1'b1),
    .RGBLEDEN(1'b1),
    .RGB0PWM(blu_pwm),
    .RGB1PWM(grn_pwm),
    .RGB2PWM(red_pwn),
    .RGB0(LED_BLU_N),
    .RGB1(LED_GRN_N),
    .RGB2(LED_RED_N)
  );

  defparam RGBA_DRIVER.CURRENT_MODE = "0b1";      // Full/Half
  defparam RGBA_DRIVER.RGB0_CURRENT = "0b011111"; // Blue
  defparam RGBA_DRIVER.RGB1_CURRENT = "0b000001"; // Green
  defparam RGBA_DRIVER.RGB2_CURRENT = "0b000001"; // Red

endmodule